// (C) 2006 M. Derezynski

#include "taglib_sidfiletyperesolver.h"
#include "sidfile.h"

#include <src/util.hpp>

namespace
{
  char* const suffixes[] = 
  {
    "sid",
    "psid",
    0,
  };
}

TagLib::File *SIDFileTypeResolver::createFile (const char                        *filename,
                                               bool                               readProperties,
                                               TagLib::AudioProperties::ReadStyle propertiesStyle) const 
{
    if (str_has_suffixes_nocase (filename, suffixes))
    {
        TagLib::SID::File *f = new TagLib::SID::File(filename, readProperties, propertiesStyle);
        if(f->isValid())
            return f;
        else
        {
            delete f;
        }
    }

    return 0;
}
